Bug 110278 - [CI][SHARDS] igt@kms_lease@cursor_implicit_plane - fail - Failed assertion: drmModeSetCursor(mcl.fd, data->crtc_id, 0, 0, 0) == -13
Summary: [CI][SHARDS] igt@kms_lease@cursor_implicit_plane - fail - Failed assertion: d...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: lowest normal
Assignee: Daniel Vetter
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-29 07:45 UTC by Lakshmi
Modified: 2019-07-02 11:37 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, GLK, HSW, ICL, KBL, SKL, SNB
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-29 07:45:17 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-apl8/igt@kms_lease@cursor_implicit_plane.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-iclb8/igt@kms_lease@cursor_implicit_plane.html

Starting subtest: cursor_implicit_plane
(kms_lease:14766) CRITICAL: Test assertion failure function cursor_implicit_plane, file ../tests/kms_lease.c:464:
(kms_lease:14766) CRITICAL: Failed assertion: drmModeSetCursor(mcl.fd, data->crtc_id, 0, 0, 0) == -13
(kms_lease:14766) CRITICAL: Last errno: 25, Inappropriate ioctl for device
(kms_lease:14766) CRITICAL: error: 0 != -13
Subtest cursor_implicit_plane failed.
Comment 1 CI Bug Log 2019-03-29 07:48:22 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* SNB HSW APL SKL KBL GLK ICL: igt@kms_lease@cursor_implicit_plane - fail - Failed assertion: drmModeSetCursor(mcl.fd, data->crtc_id, 0, 0, 0) == -13
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-apl8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-glk2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-hsw1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-iclb8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-skl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4911/shard-snb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-apl2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-glk8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-kbl2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2722/shard-snb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-apl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-glk5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-hsw8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-iclb1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-skl1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5830/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-apl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-glk4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-hsw1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-iclb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-skl2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5831/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-apl2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-glk6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-hsw1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-kbl6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2725/shard-snb4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-apl1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-glk7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-hsw5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-kbl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2726/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-apl8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-glk4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-iclb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-skl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12620/shard-snb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-apl8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-glk8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-hsw7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2727/shard-snb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-apl3/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-glk9/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-hsw5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-kbl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2728/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-apl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-glk1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-hsw1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-kbl6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2729/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-apl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-glk1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-iclb6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-kbl1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12621/shard-snb2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-apl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-glk4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-hsw5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-iclb8/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-kbl6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-skl9/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5832/shard-snb5/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-apl4/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-glk6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-hsw7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-kbl6/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2730/shard-snb2/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-apl1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-glk3/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-hsw1/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-kbl7/igt@kms_lease@cursor_implicit_plane.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2731/shard-snb2/igt@kms_lease@cursor_implicit_plane.html
Comment 2 CI Bug Log 2019-03-29 09:08:24 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SNB HSW APL SKL KBL GLK ICL: igt@kms_lease@cursor_implicit_plane - fail - Failed assertion: drmModeSetCursor(mcl.fd, data->crtc_id, 0, 0, 0) == -13 -}
{+ all machines: igt@kms_lease@cursor_implicit_plane - fail - Failed assertion: drmModeSetCursor(mcl.fd, data->crtc_id, 0, 0, 0) == -13 +}

 No new failures caught with the new filter
Comment 3 Lakshmi 2019-04-01 12:45:25 UTC
Comments from Daniel Vetter
Patches on the m-l awaiting review, but stuck due to lack of review

https://patchwork.freedesktop.org/series/57348/

Waiting for review from Dave Airlie and Keith Packard.

No end user impact because it just clarifies some uapi corner cases that don't matter in current use-cases.
Comment 4 Daniel Vetter 2019-04-25 08:05:24 UTC
Hm I thought we've merged this one with the other kms_lease bugs already.

Anyway patches landed, should be fixed now.
Comment 5 CI Bug Log 2019-07-02 11:37:32 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 6 Martin Peres 2019-07-02 11:37:40 UTC
(In reply to Daniel Vetter from comment #4)
> Hm I thought we've merged this one with the other kms_lease bugs already.
> 
> Anyway patches landed, should be fixed now.

It is, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.